package minijaja.ihm.vue;


import minijaja.ast_struct.Node;
import minijaja.ihm.controleur.MjjTreeContentProvider;
import minijaja.parseur.MiniJaja;

import org.eclipse.jface.viewers.TreeViewer;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.widgets.Composite;

public class VueArbre extends Composite {

	TreeViewer viewer = null;
	private Node racine = null;
	
	
	public VueArbre(Composite parent, int style,Node root) {
	    super(parent, style);
	    racine = root;
	    FillLayout compositeLayout = new FillLayout();
	    setLayout(compositeLayout);
		
	    viewer = new TreeViewer(this,SWT.MULTI);
	    viewer.setContentProvider(new MjjTreeContentProvider());
	    viewer.setInput(racine);
	    
	  }
	
}
